QB_MAP_GET(3)

NAME
qb_map_get - Gets the value corresponding to the given key.

SYNOPSIS
#include <qb/qbmap.h>

void * qb_map_get(
    qb_map_t     *map,
    const char   *key
);

DESCRIPTION

RETURN VALUE

NULL (if the key does not exist)

a pointer to the value

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_notify_del(3), qb_map_put(3), qb_map_count_get(3), qb_map_foreach(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_destroy(3), qb_hashtable_create(3), qb_map_iter_free(3), qb_map_notify_add(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.